Bug 502307 - Review Request:sil-charis-compact-fonts - A version of Charis SIL with tighter line spacing
Review Request:sil-charis-compact-fonts - A version of Charis SIL with tight...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 10:03 EDT by Nicolas Mailhot
Modified: 2009-05-28 04:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.106-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 15:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-05-23 10:03:20 EDT
Spec URL: http://nim.fedorapeople.org/sil-charis-compact-fonts.spec
SRPM URL: http://nim.fedorapeople.org/sil-charis-compact-fonts-4.106-1.fc12.src.rpm
Description:

Charis SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Charis is similar to Bitstream Charter, one of the first fonts designed
specifically for laser printers. It is highly readable and holds up well in
less-than-ideal reproduction environments. It also has a full set of styles
— regular, italic, bold, bold italic — and so is more useful in general
publishing than Doulos SIL. Charis is a serif proportionally spaced font
optimized for readability in long printed documents.

The Charis SIL Compact fonts were derived from Charis SIL using SIL TypeTuner,
by setting the “Line spacing” feature to “Tight”, and they cannot be TypeTuned
again. They may exhibit some diacritics clipping on screen (but should print
fine).

See also
https://fedoraproject.org/wiki/SIL_Charis_Compact_fonts
Comment 1 Parag AN(पराग) 2009-05-25 00:03:23 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1375245
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3d6f4a0b716c834fa5236762c0fc0ec20517311a  CharisSILCompact4.106.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed fonts packaging guidelines.
APPROVED.
Comment 2 Nicolas Mailhot 2009-05-25 05:14:19 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: sil-charis-compact-fonts
Short Description: A version of Charis SIL with tighter line spacing
Owners: nim
Branches: F11 & devel
InitialCC: fonts-sig
Comment 3 Jason Tibbitts 2009-05-26 18:30:20 EDT
CVS done.
Comment 4 Nicolas Mailhot 2009-05-27 15:21:53 EDT
Pushed.

Thanks everyone.
Comment 5 Fedora Update System 2009-05-27 15:24:20 EDT
sil-charis-fonts-4.106-2.fc11,sil-charis-compact-fonts-4.106-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sil-charis-fonts-4.106-2.fc11,sil-charis-compact-fonts-4.106-1.fc11
Comment 6 Fedora Update System 2009-05-28 04:04:02 EDT
sil-charis-fonts-4.106-2.fc11, sil-charis-compact-fonts-4.106-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.